#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TraderFox.TFMTI[] cacheTFMTI;

		
		public TraderFox.TFMTI TFMTI()
		{
			return TFMTI(Input);
		}


		
		public TraderFox.TFMTI TFMTI(ISeries<double> input)
		{
			if (cacheTFMTI != null)
				for (int idx = 0; idx < cacheTFMTI.Length; idx++)
					if ( cacheTFMTI[idx].EqualsInput(input))
						return cacheTFMTI[idx];
			return CacheIndicator<TraderFox.TFMTI>(new TraderFox.TFMTI(), input, ref cacheTFMTI);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TraderFox.TFMTI TFMTI()
		{
			return indicator.TFMTI(Input);
		}


		
		public Indicators.TraderFox.TFMTI TFMTI(ISeries<double> input )
		{
			return indicator.TFMTI(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TraderFox.TFMTI TFMTI()
		{
			return indicator.TFMTI(Input);
		}


		
		public Indicators.TraderFox.TFMTI TFMTI(ISeries<double> input )
		{
			return indicator.TFMTI(input);
		}

	}
}

#endregion
